=== debian/control ===
Source: tracy
Section: devel
Priority: optional
Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
Build-Depends: cmake,
               pkgconf,
               debhelper-compat (= 13),
               libcapstone-dev,
               libdbus-1-dev,
               libfreetype-dev,
               libglvnd-dev,
               lmodern,
               libwayland-dev,
               libxkbcommon-dev,
               libzstd-dev (>= 1.5.5),
               pandoc,
               texlive-fonts-extra,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-pstricks,
               texlive-science
Standards-Version: 4.6.2
Homepage: https://github.com/wolfpld/tracy/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/NyxTrail/tracy.git
Vcs-Browser: https://salsa.debian.org/NyxTrail/tracy

Package: libtracyclient0.10.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Hybrid frame and sampling profiler (library)
 Tracy is a real time, nanosecond resolution, remote telemetry,
 hybrid frame and sampling profiler for games and other applications
 .
 This package contains the shared library.

Package: libtracy-dev
Section: libdevel
Architecture: any
Depends: libtracyclient0.10.0 (= ${binary:Version}),
         ${misc:Depends}
Description: Hybrid frame and sampling profiler (development files)
 Tracy is a real time, nanosecond resolution, remote telemetry,
 hybrid frame and sampling profiler for games and other applications
 .
 This package contains the development files.

Package: tracy-profiler
Architecture: any
Depends: libtracyclient0.10.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Hybrid frame and sampling profiler (profiler application)
 Tracy is a real time, nanosecond resolution, remote telemetry,
 hybrid frame and sampling profiler for games and other applications
 .
 This package contains the binary for the profiler application.

Package: tracy-capture
Architecture: any
Depends: libtracyclient0.10.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Hybrid frame and sampling profiler (capture application)
 Tracy is a real time, nanosecond resolution, remote telemetry,
 hybrid frame and sampling profiler for games and other applications
 .
 This package contains the binary for the capture application.

Package: tracy-csvexport
Architecture: any
Depends: libtracyclient0.10.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Hybrid frame and sampling profiler (csvexport application)
 Tracy is a real time, nanosecond resolution, remote telemetry,
 hybrid frame and sampling profiler for games and other applications
 .
 This package contains the binary for the csv export application.

Package: tracy-doc
Section: doc
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}
Description: Hybrid frame and sampling profiler (documentation)
 Tracy is a real time, nanosecond resolution, remote telemetry,
 hybrid frame and sampling profiler for games and other applications
 .
 This package contains the user manual.
