=== debian/watch ===
version=4
opts="searchmode=plain, \
      dversionmangle=s/\+ds//, \
      oversionmangle=s/$/+ds/, \
      uversionmangle=s/\.$//, \
      filenamemangle=s/v(\d+\.\d+(\.\d+)?)/tracy-$1.tar.gz/" \
  https://api.github.com/repos/wolfpld/tracy/releases \
  https://api.github.com/repos/wolfpld/tracy/tarball/v(\d+\.\d+(\.\d+)?)
