=== debian/changelog ===
tracy (0.11.0+ds-1build1) plucky; urgency=medium

  * No-change rebuild for capstone.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 31 Dec 2024 14:14:47 +0000

tracy (0.11.0+ds-1) unstable; urgency=medium

  * New upstream version 0.11.0
  * The debian build now includes import-chrome and import-fuchsia tools

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Thu, 01 Aug 2024 18:30:11 +0000
