=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                libfreetype-dev,
                libglvnd-dev,
                lmodern,
+               libtbb-dev,
                libwayland-dev,
                libxkbcommon-dev,
                libzstd-dev (>= 1.5.5),
@@ -18,14 +19,15 @@
                texlive-latex-base,
                texlive-latex-extra,
                texlive-pstricks,
-               texlive-science
-Standards-Version: 4.6.2
+               texlive-science,
+               wayland-protocols
+Standards-Version: 4.7.0
 Homepage: https://github.com/wolfpld/tracy/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/NyxTrail/tracy.git
 Vcs-Browser: https://salsa.debian.org/NyxTrail/tracy
 
-Package: libtracyclient0.10.0
+Package: libtracyclient0.11.0
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -40,7 +42,7 @@
 Package: libtracy-dev
 Section: libdevel
 Architecture: any
-Depends: libtracyclient0.10.0 (= ${binary:Version}),
+Depends: libtracyclient0.11.0 (= ${binary:Version}),
          ${misc:Depends}
 Description: Hybrid frame and sampling profiler (development files)
  Tracy is a real time, nanosecond resolution, remote telemetry,
@@ -50,7 +52,7 @@
 
 Package: tracy-profiler
 Architecture: any
-Depends: libtracyclient0.10.0 (= ${binary:Version}),
+Depends: libtracyclient0.11.0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Hybrid frame and sampling profiler (profiler application)
@@ -61,7 +63,7 @@
 
 Package: tracy-capture
 Architecture: any
-Depends: libtracyclient0.10.0 (= ${binary:Version}),
+Depends: libtracyclient0.11.0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Hybrid frame and sampling profiler (capture application)
@@ -72,7 +74,7 @@
 
 Package: tracy-csvexport
 Architecture: any
-Depends: libtracyclient0.10.0 (= ${binary:Version}),
+Depends: libtracyclient0.11.0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Hybrid frame and sampling profiler (csvexport application)
@@ -80,6 +82,30 @@
  hybrid frame and sampling profiler for games and other applications
  .
  This package contains the binary for the csv export application.
+
+Package: tracy-import-chrome
+Architecture: any
+Depends: libtracyclient0.11.0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Import chrome traces to tracy format (import-chrome application)
+ Tracy is a real time, nanosecond resolution, remote telemetry,
+ hybrid frame and sampling profiler for games and other applications
+ .
+ This package contains a CLI tool to import chrome tracing data into
+ tracy.
+
+Package: tracy-import-fuchsia
+Architecture: any
+Depends: libtracyclient0.11.0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Import fuchsia traces to tracy format (import-fuchsia application)
+ Tracy is a real time, nanosecond resolution, remote telemetry,
+ hybrid frame and sampling profiler for games and other applications
+ .
+ This package contains a CLI tool to import fuchsia tracing data into
+ tracy.
 
 Package: tracy-doc
 Section: doc
