=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
 
 %:
 	dh $@
@@ -18,13 +22,24 @@
 	dh_auto_build
 
 tracy-capture:
-	$(MAKE) -C ./capture/build/unix all
+	cmake -B ./capture/build -S capture -DCMAKE_BUILD_TYPE=Release
+	cmake --build ./capture/build --config Release --parallel
 
 tracy-profiler:
-	$(MAKE) -C ./profiler/build/unix all
+	cmake -B ./profiler/build -S profiler -DCMAKE_BUILD_TYPE=Release
+	cmake --build ./profiler/build --config Release --parallel
 
 tracy-csvexport:
-	$(MAKE) -C ./csvexport/build/unix all
+	cmake -B ./csvexport/build -S csvexport -DCMAKE_BUILD_TYPE=Release
+	cmake --build ./csvexport/build --config Release --parallel
+
+tracy-import-chrome:
+	cmake -B ./import-chrome/build -S import-chrome -DCMAKE_BUILD_TYPE=Release
+	cmake --build ./import-chrome/build --config Release --parallel
+
+tracy-import-fuchsia:
+	cmake -B ./import-fuchsia/build -S import-fuchsia -DCMAKE_BUILD_TYPE=Release
+	cmake --build ./import-fuchsia/build --config Release --parallel
 
 tracy-docs:
 	cd manual && pdflatex tracy.tex \
@@ -34,20 +49,27 @@
 	  && pdflatex techdoc.tex \
 	  && pdflatex techdoc.tex
 
-override_dh_auto_build: tracy-client tracy-capture tracy-csvexport tracy-profiler tracy-docs
+override_dh_auto_build: tracy-client tracy-capture tracy-csvexport tracy-profiler \
+	tracy-import-chrome tracy-import-fuchsia tracy-docs
 
 override_dh_auto_clean:
 	dh_auto_clean
 	
 	# Clean capture utility
-	find . -type d -path './capture/build/unix' -exec make -C '{}' clean ';'
+	rm -rf ./capture/build/*
 	
 	# Clean profiler
-	find . -type d -path './profiler/build/unix' -exec make -C '{}' clean ';'
+	rm -rf ./profiler/build/*
 	
 	# Clean csvexport
-	find . -type d -path './csvexport/build/unix' -exec make -C '{}' clean ';'
+	rm -rf ./csvexport/build/*
 	
+	# Clean import-chrome
+	rm -rf ./import-chrome/build
+	
+	# Clean import-fuchsia
+	rm -rf ./import-fuchsia/build
+
 	# Clear files left over from building documentation
 	cd manual && \
 		rm -f tracy.out tracy.log tracy.blg tracy.aux tracy.bbl tracy.toc tracy.pdf && \
@@ -60,9 +82,11 @@
 	sed -i -e 's/^#include "\.\.\/common/#include "\.\/common/g' debian/tmp/usr/include/tracy/*.h*
 	
 	mkdir ./debian/tmp/usr/bin
-	find . -type d -path './capture/build/unix' -exec cp '{}/capture-release' ./debian/tmp/usr/bin/tracy-capture ';'
-	find . -type d -path './profiler/build/unix' -exec cp '{}/Tracy-release' ./debian/tmp/usr/bin/tracy-profiler ';'
-	find . -type d -path './csvexport/build/unix' -exec cp '{}/csvexport-release' ./debian/tmp/usr/bin/tracy-csvexport ';'
+	find . -type d -path './capture/build' -exec cp '{}/tracy-capture' ./debian/tmp/usr/bin/tracy-capture ';'
+	find . -type d -path './profiler/build' -exec cp '{}/tracy-profiler' ./debian/tmp/usr/bin/tracy-profiler ';'
+	find . -type d -path './csvexport/build' -exec cp '{}/tracy-csvexport' ./debian/tmp/usr/bin/tracy-csvexport ';'
+	find . -type d -path './import-chrome/build' -exec cp '{}/tracy-import-chrome' ./debian/tmp/usr/bin/tracy-import-chrome ';'
+	find . -type d -path './import-fuchsia/build' -exec cp '{}/tracy-import-fuchsia' ./debian/tmp/usr/bin/tracy-import-fuchsia ';'
 		
 	mkdir debian/tmp/usr/share/doc/
 	install -m 644 manual/tracy.pdf debian/tmp/usr/share/doc/
@@ -88,3 +112,17 @@
 		--variable=section:1 \
 		--from rst \
 		--to man > debian/tmp/usr/share/doc/tracy-csvexport/tracy-csvexport.1
+	
+	mkdir debian/tmp/usr/share/doc/tracy-import-chrome
+	pandoc debian/tracy-import-chrome.1.rst --standalone \
+		--variable=header:"tracy-import-chrome User Manual" \
+		--variable=section:1 \
+		--from rst \
+		--to man > debian/tmp/usr/share/doc/tracy-import-chrome/tracy-import-chrome.1
+	
+	mkdir debian/tmp/usr/share/doc/tracy-import-fuchsia
+	pandoc debian/tracy-import-fuchsia.1.rst --standalone \
+		--variable=header:"tracy-import-fuchsia User Manual" \
+		--variable=section:1 \
+		--from rst \
+		--to man > debian/tmp/usr/share/doc/tracy-import-fuchsia/tracy-import-fuchsia.1
